Package fr.gouv.vitam.functional.administration.core.schema

# Class SchemaService

java.lang.Object
fr.gouv.vitam.functional.administration.core.schema.SchemaService

public class SchemaService extends Object
This service to manage schema operations

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static enum`
  `SchemaService.TenantScope`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `DELETE_SCHEMA_EVENT`
  `static final String`
  `PATH_TITLE`
  `static final String`
  `SCHEMA_IMPORT_EVENT`
  `static final String`
  `VITAM_OBJECT_GROUP_INTERNAL_SCHEMA_JSON`
  `static final String`
  `VITAM_UNIT_INTERNAL_SCHEMA_JSON`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SchemaService(AdminManagementConfiguration configuration, MongoDbAccessAdminImpl mongoDbAccessReferential, FunctionalBackupService functionalBackupService, OntologyService ontologyService, ElasticsearchCustomSearchManager elasticsearchCustomSearchManager)`
  SchemaService Constructor
  `SchemaService(AdminManagementConfiguration configuration, MongoDbAccessAdminImpl mongoDbAccessReferential, FunctionalBackupService functionalBackupService, OntologyService ontologyService, LogbookOperationsClientFactory logbookOperationsClientFactory, ElasticsearchCustomSearchManager elasticsearchCustomSearchManager)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `checkAndDeleteExternalSchemaElementsByPaths(List<String> pathsToDelete, boolean includeAllTenant)`
  `List<SchemaResponse>`
  `findObjectGroupInternalSchema()`
  Retrieve Object group schema list
  `List<SchemaResponse>`
  `findUnitInternalSchema()`
  Retrieve the schema list for unit collection
  `List<SchemaResponse>`
  `findUnitSchema()`
  Retrieve internal and external schema list
  `RequestResponse<SchemaModel>`
  `importExternalSchemaElements(List<SchemaInputModel> externalSchemaList)`
  Import external schema on current tenant

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### SCHEMA_IMPORT_EVENT

    public static final String SCHEMA_IMPORT_EVENT
    See Also:
      - Constant Field Values

  - ### DELETE_SCHEMA_EVENT

    public static final String DELETE_SCHEMA_EVENT
    See Also:
      - Constant Field Values

  - ### VITAM_UNIT_INTERNAL_SCHEMA_JSON

    public static final String VITAM_UNIT_INTERNAL_SCHEMA_JSON
    See Also:
      - Constant Field Values

  - ### VITAM_OBJECT_GROUP_INTERNAL_SCHEMA_JSON

    public static final String VITAM_OBJECT_GROUP_INTERNAL_SCHEMA_JSON
    See Also:
      - Constant Field Values

  - ### PATH_TITLE

    public static final String PATH_TITLE
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### SchemaService

    public SchemaService(AdminManagementConfiguration configuration, MongoDbAccessAdminImpl mongoDbAccessReferential, FunctionalBackupService functionalBackupService, OntologyService ontologyService, ElasticsearchCustomSearchManager elasticsearchCustomSearchManager)
    SchemaService Constructor

  - ### SchemaService

    public SchemaService(AdminManagementConfiguration configuration, MongoDbAccessAdminImpl mongoDbAccessReferential, FunctionalBackupService functionalBackupService, OntologyService ontologyService, LogbookOperationsClientFactory logbookOperationsClientFactory, ElasticsearchCustomSearchManager elasticsearchCustomSearchManager)

- ## Method Details

  - ### findUnitInternalSchema

    public List<SchemaResponse> findUnitInternalSchema() throws InvalidParseOperationException, IOException, ReferentialException
    Retrieve the schema list for unit collection
    Returns:
      schema list for unit collection
    Throws:
      `InvalidParseOperationException`
      `IOException`
      `ReferentialException`

  - ### findUnitSchema

    public List<SchemaResponse> findUnitSchema() throws InvalidParseOperationException, IOException, ReferentialException, InvalidCreateOperationException
    Retrieve internal and external schema list
    Returns:
    Throws:
      `InvalidParseOperationException`
      `IOException`
      `ReferentialException`
      `InvalidCreateOperationException`

  - ### findObjectGroupInternalSchema

    public List<SchemaResponse> findObjectGroupInternalSchema() throws InvalidParseOperationException, IOException, ReferentialException
    Retrieve Object group schema list
    Returns:
    Throws:
      `InvalidParseOperationException`
      `IOException`
      `ReferentialException`

  - ### importExternalSchemaElements

    public RequestResponse<SchemaModel> importExternalSchemaElements(List<SchemaInputModel> externalSchemaList) throws VitamException
    Import external schema on current tenant
    Parameters:
      `externalSchemaList` -
    Returns:
    Throws:
      `VitamException`

  - ### checkAndDeleteExternalSchemaElementsByPaths

    public void checkAndDeleteExternalSchemaElementsByPaths(List<String> pathsToDelete, boolean includeAllTenant) throws InvalidCreateOperationException, IOException, VitamException
    Throws:
      `InvalidCreateOperationException`
      `IOException`
      `VitamException`